<?php
require_once('../wu_init.php');
if (!wu_token()) { exit('wu-error'); }
require('../wu-functions/mail/wu_mail.php');

if (USER_LOGGED){ exit('3'); }
if (empty($_POST['login']) && empty($_POST['mail'])) { exit('2'); }
$login = mysqli_real_escape_string($connect_db, $_POST['login']);
$mail = mysqli_real_escape_string($connect_db, $_POST['mail']);

//Проверка данных
if (!empty($_POST['login'])) { $ty = 'log'; $search = $login; }
if (!empty($_POST['mail'])) {
function is_email($email) {
return preg_match("/^([a-zA-Z0-9])+([\.a-zA-Z0-9_-])*@([a-zA-Z0-9_-])+(\.[a-zA-Z0-9_-]+)*\.([a-zA-Z]{2,6})$/", $email);
}
if (!is_email($mail)) {  }
$ty = 'mail'; $search = $mail;
}

wu_log_auth(1,"$search запросил восстановление пароля, IP: $ip");

//Отправка письма
$user = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT uid,log,regdate,mail FROM ".DB_PREFIX."_users WHERE `$ty` = '$search' LIMIT 1"));
if (empty($user['uid'])) { exit('0'); }
$expiry = $dt+86400;
$link = PROTOCOL.SITE.'/wu-engine/wu-actions/lost_send.php?q='.$user['uid'].'_'.$expiry.'_'.md5(md5($user['uid'].'_'.$user['log'].'_'.$user['regdate'].'_'.$expiry)).'wu';
$msg = 'Для аккаунта '.$user['log'].' было запрошено восстановление пароля. Для восстановления нажмите <a href="'.$link.'" tsrget="_blank">здесь</a>. Если вы не запрашивали восстановление, пожалуйста, проигнорируйте это письмо.';
esend($user['mail'], $user['log'], 'Восстановление пароля', $msg, 'clear');
exit('1');
?>